package com.greenorange.promotion.model.dto.fileInfo;

import com.greenorange.promotion.annotation.FileEnumValue;
import com.greenorange.promotion.model.enums.FileUploadBizEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "文件上传请求体", requiredProperties = {"biz"})
public class UploadFileRequest implements Serializable {

    /**
     * 文件业务类型[头像(avatar)|项目(project)|富文本(richText)|默认(default))]
     */
    @FileEnumValue(enumClass = FileUploadBizEnum.class)
    @Schema(description = "文件业务类型[头像(avatar)|项目(project)|富文本(richText)|默认(default))]", example = "default")
    private String biz;


    @Serial
    private static final long serialVersionUID = 1L;
}
