package com.greenorange.promotion.model.dto.userInfo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 小程序用户验证码登录请求体
 */
@Data
@Schema(description = "小程序用户验证码登录请求体", requiredProperties = {"phoneNumber", "verificationCode"})
public class UserInfoMiniVerifyCodeLoginRequest implements Serializable {

    /**
     * 账号
     */
    @NotBlank(message = "手机号不能为空")
    @Schema(description = "手机号", example = "15888610253")
    private String phoneNumber;

    /**
     * 验证码
     */
    @NotBlank(message = "验证码不能为空")
    @Schema(description = "验证码", example = "666999")
    private String verificationCode;


    @Serial
    private static final long serialVersionUID = 1L;

}
