package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 项目明细表
 * @TableName project_detail
 */
@TableName(value ="project_detail")
@Data
public class ProjectDetail implements Serializable {
    /**
     * 项目明细ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目明细名称
     */
    private String projectDetailName;

    /**
     * 项目结算价
     */
    private BigDecimal projectSettlementPrice;

    /**
     * 项目最小结算价格
     */
    private BigDecimal projectMinSettlementPrice;

    /**
     * 最大抽佣比例
     */
    private BigDecimal maxCommissionRate;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}