package com.greenorange.promotion.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 用户账户表
 * @TableName user_account
 */
@TableName(value ="user_account")
@Data
public class UserAccount implements Serializable {
    /**
     * 账户ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 持卡人
     */
    private String cardHolder;

    /**
     * 身份证号
     */
    private String idCardNumber;

    /**
     * 手机号
     */
    private String phoneNumber;

    /**
     * 银行卡号
     */
    private String bankCardNumber;

    /**
     * 开户银行
     */
    private String openBank;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}