package com.greenorange.promotion.model.vo.subUserProjectCommission;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 下级用户项目明细抽佣 视图对象
 */
@Data
@Schema(description = "下级用户项目明细抽佣 视图对象")
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SubUserProjectCommissionVO implements Serializable {

    /**
     * 下级用户ID
     */
    @Schema(description = "下级用户ID", example = "5")
    private Long subUserId;

    /**
     * 下级用户昵称
     */
    @Schema(description = "下级用户昵称", example = "caozhe")
    private String subUserNickName;

    /**
     * 下级用户的项目明细抽佣列表
     */
    @Schema(description = "下级用户项目明细抽佣列表")
    private List<SubUserProjectDetailCommissionVO> subUserProjectDetailCommissionVOList;


    @Serial
    private static final long serialVersionUID = 1L;
}
