package com.greenorange.promotion.model.vo.withdrawalApply;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 提现申请记录 视图对象
 */
@Data
@Schema(description = "提现申请记录 视图对象")
public class WithdrawalApplyVO implements Serializable {

    /**
     * 提现申请记录ID
     */
    @Schema(description = "提现申请记录ID", example = "1")
    private Long id;

    /**
     * 提现金额
     */
    @Schema(description = "提现金额", example = "")
    private BigDecimal withdrawnAmount;

    /**
     * 提现状态[提现中(processing)|提现成功(success)|提现失败(failed)]
     */
    @Schema(description = "提现状态", example = "processing")
    private String withdrawalStatus;


    @Serial
    private static final long serialVersionUID = 1L;
}
